[UBUNTU] zkey: Enhance error message about missing CCA library.

Bug #1808520 reported by bugproxy on 2018-12-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Canonical Foundations Team
s390-tools (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Description:
zkey: Enhance error message about missing CCA library.

Symptom:
"zkey-cryptsetup reencipher" fails with missing library and confusing error message.

Problem:
The "zkey reencipher" command as well as the "zkey-cryptsetup reencipher" command requires the IBM CCA Host Libraries and Tools package to be installed. This is a closed source library that is not distributed by the distributions, but must be downloaded separately from an IBM web page.

Solution:
Enhance the error message to point to the web page where the package can be downloaded.

Reproduction:
Run the "zkey-cryptsetup reencipher" or "zkey reencipher" command without having installed the IBM CCA Host Libraries and Tools package.

Upstream commit(s):
5a10aa73a97b18bf572523e7f86d48797071fb38

package: s390-tools

bugproxy (bugproxy) on 2018-12-14
tags: added: architecture-s39064 bugnameltc-174104 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Dimitri John Ledkov (xnox) wrote :

What's the point of us shipping zkey-cryptsetup then?

Can you like package IBM CCA Host libraries and tools as a snap, including the zkey-cryptsetup command?

------- Comment From <email address hidden> 2019-01-07 04:24 EDT-------
zkey-cryptsetup (as well as zkey) is delivered as part of the s390-tool package.

Only one subcommand of zkey-cryptsetup depends on this library, other subcommands work well without. That's why it is coded as a 'soft-dependency' checked during runtime.

So shipping it even without having the CCA library makes totally sense.

Users of secure key disk encryption (for which this tool is needed) know that they require an CCA crypto adapter together with the CCA library. So most of them have the CCA library installed anyway.

Changed in s390-tools (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.7.1-0ubuntu1

---------------
s390-tools (2.7.1-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - zkey: Enhance error message about missing CCA library. LP: #1808520
    - Extended access controls for AP queue LP: #1804019
    - PCI error reporting tool LP: #1802499
    - zcrypt DD: introduce APQN tags to support deterministic driver
    binding LP: #1800867

 -- Dimitri John Ledkov <email address hidden> Tue, 15 Jan 2019 14:23:22 +0000

Changed in s390-tools (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2019-01-16
tags: added: targetmilestone-inin1904
removed: targetmilestone-inin---
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-01-16 04:40 EDT-------
IBM bugzilla status-> closed, Fix Released with 19.04. First occurance with 18.10, but no backport for 18.04 required. MInor Issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers